Skip to content

Validates a document without writing or advancing the revision version.

POST
/api/workspace/workflow/configuration/workflow-definitions/{definitionId}/revisions/{revisionId}/content/validate
curl --request POST \
--url https://example.com/api/workspace/workflow/configuration/workflow-definitions/example/revisions/example/content/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "DefinitionYaml": "example" }'
definitionId
required
string
revisionId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

object
DefinitionYaml
string
nullable
Examplegenerated
{
"DefinitionYaml": "example"
}

OK

Media typeapplication/json
object
Data
object
CanSave
boolean
CanPublish
boolean
Diagnostics
Array<object>
nullable
object
Code
string
nullable
Path
string
nullable
Message
string
nullable
Line
integer format: int32
nullable
Column
integer format: int32
nullable
ExpressionStart
integer format: int32
nullable
ExpressionEnd
integer format: int32
nullable
PublicationDiagnostics
Array<object>
nullable
object
Code
string
nullable
Path
string
nullable
Message
string
nullable
Line
integer format: int32
nullable
Column
integer format: int32
nullable
ExpressionStart
integer format: int32
nullable
ExpressionEnd
integer format: int32
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}